version: '3'

services:
  jenkins:
    image: jenkins/jenkins
    volumes:
      - jenkins-data:/var/jenkins_home
    ports:
      - 8080:8080
      - 50000:50000
  jenkins_agent:
    image: jenkins/ssh-agent
    environment:
      - "JENKINS_AGENT_SSH_PUBKEY=<CHANGE-ME>"
    volumes:
     - /var/run/docker.sock:/var/run/docker.sock:ro
    entrypoint:
     - "bash"
     - "-c"
     - "groupadd -g 994 docker && usermod -aG 994 jenkins && setup-sshd"

volumes:
  jenkins-data:
